#!/bin/bash

# mysql source server
MSUSER="user"
MSPASS="pwd"
MSHOST="SRC_SERVER_IP"
 
# mysql destination server
MDUSER="user"
MDPASS="pwd"
MDHOST="DEST_SERVER_IP"

# get all database listing except mysql and information_schema
DBS="$(mysql -u $MSUSER -p$MSPASS -h $MSHOST -Bse 'show databases' | GREP -v mysql | GREP -v information_schema | GREP -v test)"
 
# start to dump database one by one
for db in $DBS
do
 
 echo Creating new database $db...
 mysqladmin -u $MDUSER -p$MDPASS -h $MDHOST create $db
 echo Transfering database $db... 
 mysqldump --complete-insert -u $MSUSER -p$MSPASS -h $MSHOST $db | mysql -u $MDUSER -p$MDPASS -h $MDHOST $db
 
done